<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.park.mapper.DataStHistoryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.park.domain.DataStHistory">
        <id column="id" property="id" />
        <result column="pack_no" property="packNo" />
        <result column="express_name" property="expressName" />
        <result column="receiver_phone" property="receiverPhone" />
        <result column="contact_phone" property="contactPhone" />
        <result column="pickup_address" property="pickupAddress" />
        <result column="pickup_code" property="pickupCode" />
        <result column="content" property="content" />
        <result column="app_key" property="appKey" />
        <result column="data_time" property="dataTime" />
        <result column="pack_status" property="packStatus" />
    </resultMap>

    <select id="checkPackNo" resultType="com.usky.park.domain.DataStHistory">
        <if test="packNo != null">
            SELECT *
            FROM data_st_history
            WHERE pack_no = #{packNo}
        </if>
    </select>

</mapper>
